# fis_lib_report

为主项目提供报告模板，报告编辑，报告模板及内容的序列化与反序列化

## 项目入口

``` dart
                    ReportEditPage(
                      reporter: '',//报告医师
                      reportDate: DateTime.now(),///报告日期
                      jsonStr: jsonStr,//模板Json
                      onSelect: new FEventHandler<String>(),//选择图像事件
                      patinentAge:'',//病人年龄
                      patinentName: '',//病人名称
                      patinentSex: '',//病人性别
                    ),
```

## 启动方式

WEb or Win
直接启动后程序后进入测试页面，有Mock数据和一些基本操作按钮

## 主要方法

初始化ReportInfo:ReportInfo.instance.init()

从Json中加载ReportInfo数据 : ReportInfo.instance.fromJson(json)

插入报告描述&超声提示: ReportInfo.instance.insertDiagnostic(desc,tips)

ReportInfo转为Json,用于报告存储至Server: ReportInfo.instance.toJson()

重新渲染UI&重构:ReportInfo.instance.reload(reporter,date,jsonStr,onSelect)
