import 'package:fis_lib_report/converts/margin_convert.dart';
import 'package:fis_lib_report/report/space.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class FSpace extends StatefulWidget implements FWidget {
  final Space space;

  const FSpace(this.space, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _FSpaceState();
  }
}

class _FSpaceState extends State<FSpace> {
  @override
  initState() {
    super.initState();
  }

  @override
  FWidget build(BuildContext context) {
    return FContainer(
      width: widget.space.spaceWidth,
      margin: MarginConvert.marginConvert(widget.space.margin),
    );
  }
}
