class ElementType {
  String? name;

  static ElementType rtGrid = ElementType('RTGrid');
  static ElementType rtTable = ElementType('RTTable');
  static ElementType rtCell = ElementType('RTCell');
  static ElementType paragraph = ElementType('Paragraph');
  static ElementType inputText = ElementType('InputText');
  static ElementType line = ElementType('Line');
  static ElementType staticText = ElementType('StaticText');
  static ElementType singleSelected = ElementType('SingleSelected');
  static ElementType multiSelected = ElementType('MultiSelected');
  static ElementType multiSelectedVertical =
      ElementType('MultiSelectedVertical');
  static ElementType imageList = ElementType('ImageList');
  static ElementType dateTime = ElementType('DateTime');
  static ElementType inputImage = ElementType('InputImage');
  static ElementType staticImage = ElementType('StaticImage');
  static ElementType space = ElementType('Space');
  static ElementType pageNumber = ElementType('PageNumber');

  ElementType(this.name);

  ElementType.fromJson(Map<String, dynamic> json) {
    name = json['Name'];
    //TODO(Loki):init rtGrid and rtTaable
  }

  Map<String, dynamic> toJson() => {
        'Name': name,
      };
}
