import 'package:fis_lib_report/report/interfaces/block_element.dart';
import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/report_template_body.dart';
import 'package:fis_lib_report/report/rt_color.dart';

enum WidthTypeEnum {
  MinValue,
  FixedValue,
}

class ICell extends IElement implements IReportTemplateBody {
  RTColor? background;
  WidthTypeEnum? widthType;
  WidthTypeEnum? heightType;
  String? groupField;

  @override
  List<IBlockElement>? blocks;
}
