import 'package:fis_lib_report/report/interfaces/line_elemnt.dart';
import 'package:fis_lib_report/report/rt_color.dart';

abstract class ITextElement extends IInLineElemnt {
  String? fontName;
  double? fontSize;
  List<RTFontStyle>? fontStyles;
  RTColor? fontColor;
  RTColor? background;
  int? lineLength;
  double? lineWidth;
  bool? textWrap;
}

enum RTFontStyle {
  Regular,
  Bold,
  Italic,
  Underline,
  Strikeout,
}
