import 'package:fis_lib_report/converts/int_to_double_convert.dart';
import 'package:fis_lib_report/report/inline_element.dart';
import 'package:fis_lib_report/report/interfaces/line.dart';
import 'package:fis_lib_report/report/rt_border.dart';
import 'package:fis_lib_report/report/rt_color.dart';

class Space extends InlineElement implements ILine {
  @override
  RTColor? stroke;

  @override
  double? thickness;

  @override
  RTBorderStyle? borderStyle;

  @override
  double? width;

  double? spaceWidth;

  int? spaceUnitCount = 0;

  Space.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    width = IntToDouble.intToDouble(json['Width']);
    spaceUnitCount = json['SpaceUnitCount'];
    spaceWidth = IntToDouble.intToDouble(json['SpaceWidth']);
  }
}
