import 'package:fis_lib_report/report/interfaces/element.dart';
import 'package:fis_lib_report/report/interfaces/static_text.dart';
import 'package:fis_lib_report/report/text_element.dart';

class StaticText extends TextElement implements IStaticText {
  @override
  bool? ignoreUndo;

  @override
  String? text;

  StaticText.fromJson(Map<String, dynamic> json, {IElement? parent})
      : super.fromJson(json) {
    this.parent = parent;
    ignoreUndo = json['IgnoreUndo'];
    text = json['Text'];
  }
}
