import 'package:fis_lib_report/report/line.dart';
import 'package:fis_lib_report/report/rt_border.dart';
import 'package:fis_lib_report/report/rt_color.dart';
import 'package:fis_lib_report/report_info/element_info.dart';

class LineInfo extends ElementInfo {
  @override
  RTColor? stroke;

  @override
  double? thickness;

  @override
  double? width;

  LineInfo.fromElement(Line element) : super.fromElement(element) {
    stroke = element.stroke;
    thickness = element.thickness;
    width = element.width;
  }

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map.addAll(super.toJson());
    return map;
  }
}
