import 'package:fis_lib_report/converts/margin_convert.dart';
import 'package:fis_lib_report/report/page_number.dart';
import 'package:fis_ui/index.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class FPageNumber extends StatefulWidget implements FWidget {
  final PageNumber space;

  const FPageNumber(this.space, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _FPageNumberState();
  }
}

class _FPageNumberState extends State<FPageNumber> {
  late PageNumber pageNumber;
  @override
  initState() {
    pageNumber = widget.space;
    super.initState();
  }

  @override
  FWidget build(BuildContext context) {
    return FContainer(
      margin: MarginConvert.marginConvert(pageNumber.margin),
      child: FRow(
        mainAxisAlignment: MainAxisAlignment.end,
        children: const [
          ///页码功能应在生成pdf时自动添加上
          FText(''),
        ],
      ),
    );
  }
}
