import 'package:fis_lib_report/converts/int_to_double_convert.dart';

class RTThickness {
  double? left;

  double? top;

  double? right;

  double? bottom;

  RTThickness.uniform(double uniformLength) {
    left = uniformLength;
    top = uniformLength;
    right = uniformLength;
    bottom = uniformLength;
  }

  RTThickness.fromJson(Map<String, dynamic> json) {
    left = IntToDouble.intToDouble(json['Left']);
    top = IntToDouble.intToDouble(json['Top']);
    right = IntToDouble.intToDouble(json['Right']);
    bottom = IntToDouble.intToDouble(json['Bottom']);
  }

  RTThickness(this.left, this.top, this.right, this.bottom);
}
