class TagNames {
  /// 病人名输入框Tag
  static const String PATIENT_NAME_TAG = "PatientName";

  ///病人性别
  static const String PATIENT_SEX_TAG = "PatientGender";

  ///病人年龄
  static const String PATIENT_AGE_TAG = "PatientAge";

  ///病人ID
  static const String PATIENT_ID_TAG = "PatientId";

  ///超声描述
  static const String REPORTDES = "ReportDescription";

  ///超声提示
  static const String REPORTSUMARY = "ReportSummary";

  ///报告时间
  static const String REPORTTIME = "ReportTime";

  ///报告医师
  static const String RPHYSICIAN = "ReportPhysician";

  ///检查医师
  static const String INSPHYSICIAN = "InspectionPhysician";

  ///医院名称
  static const String HOSPITALNAME = "HospitalName";

  /// 报告日期
  static const String REPORT_DATE = "ReportTime";

  ///电子签名
  static const String DIGITALSIGNATURE = "DigitalSignature";

  ///语音输入
  static const String SPEECHINPUT = "SpeechInput";

  ///图像选择框
  static const String SELECTIMAGES = "ReportImages";

  ///主人
  static const String OWNER = "Owner";

  ///种类
  static const String SPECIES = "Species";

  ///颈动脉相关

  ///颈动脉内径右侧
  static const String RIGHTCAROTIAAD = 'RightCarotidAD';

  ///颈动脉内径左侧
  static const String LEFTCAROTIDAD = 'LeftCarotidAD';

  ///内中膜厚度右侧
  static const String RIGHTIMT = 'RightIMT';

  ///内中膜厚度左侧
  static const String LEFTIMT = 'LeftIMT';

  ///超声所见右侧
  static const String RIGHTCONCLUSION = 'RightConclusion';

  ///超声所见左侧
  static const String LEFTCONCLUSION = 'LeftConclusion';

  ///右侧斑块位置
  static const String RIGHTPLAQUEPOSITION = "RightPlaquePosition";

  ///左侧斑块位置
  static const String LEFTPLAQUEPOSITION = "LeftPlaquePosition";

  ///右侧斑块大小
  static const String RIGHTPLAQUETHICK = "RightPlaqueThick";

  ///左侧斑块大小
  static const String LEFTPLAQUETHICK = "LeftPlaqueThick";

  ///左侧斑块回声
  static const String LEFTPLAQUEECHO = "LeftPlaqueEcho";

  ///右侧斑块回声
  static const String RIGHTPLAQUEECHO = "RightPlaqueEcho";

  ///管腔狭窄率右侧
  static const String RIGHTSTENOSISRATE = "RightStenosisRate";

  ///管腔狭窄率左侧
  static const String LEFTSTENOSISRATE = "LeftStenosisRate";

  ///动物毛色
  static const String AnimalHairColor = "AnimalHairColor";

  ///动物用途
  static const String AnimalUse = "AnimalUse";

  /// 开具日期
  static const String IssueDate = "IssueDate";

  /// 个体特征
  static const String IndividualCharacteristics = "IndividualCharacteristics";

  /// 初步诊断结论
  static const String PrimaryDiagnosis = "PrimaryDiagnosis";

  /// 处方号
  static const String PrescriptionNumber = "PrescriptionNumber";

  /// 执业兽医师
  static const String PracticingVeterinarian = "PracticingVeterinarian";

  /// 注册号
  static const String RegistrationNo = "RegistrationNo";

  /// 发药医生
  static const String DispensingDoctor = "DispensingDoctor";

  /// 费用合计
  static const String TotalCost = "TotalCost";

  /// 社会类型
  static const String SocialType = "SocialType";

  /// 就诊时间
  static const String VisitTime = "VisitTime";

  /// 入院时间
  static const String AdmissionTime = "AdmissionTime";

  /// 记录时间
  static const String RecordingTime = "RecordingTime";

  /// 处方内容
  static const String PrescriptionContent = "PrescriptionContent";

  /// 医嘱
  static const String MedicalAdvice = "MedicalAdvice";

  /// 主诉
  static const String ChiefComplaint = "ChiefComplaint";

  /// 现病史
  static const String HistoryOfPresentIllness = "HistoryOfPresentIllness";

  /// 既往史
  static const String PastHistory = "PastHistory";

  /// 检查结果
  static const String InspectionResults = "InspectionResults";

  /// 诊断结果
  static const String DiagnosticResults = "DiagnosticResults";

  /// 处置措施
  static const String DisposalMeasures = "DisposalMeasures";

  /// 入院诊断
  static const String AdmissionDiagnosis = "AdmissionDiagnosis";

  /// 每日病情
  static const String DailyIllness = "DailyIllness";

  /// 诊断意见
  static const String DiagnosticOpinion = "DiagnosticOpinion";

  /// 出院情况
  static const String DischargeStatus = "DischargeStatus";
}
